Могу ли я установить модуль для Magento 1.x на Magento 2.x?

Несмотря на схожесть в названиях, Magento 1.x и Magento 2.x разительно отличаются друг от друга.

Из-за технических различий платформ, модули, созданные для Magento 1.x, не будут работать на Magento 2.x..

Если вы хотите добавить новый функционал на сайт под управлением Magento 2.x, то вам потребуется модуль, написанный именно под эту платформу.